<template>
  <div id="translator-app-container-div">
    <app-header :renderingStatus="renderingStatus">
      <h1 slot="title">{{appTitle}}</h1>
      <p slot="time" style="text-align:right;">{{getCurrentTime}}</p>
    </app-header>
    <app-content @statusChanged="changeStatusValue($event)"></app-content>
    <app-footer></app-footer>
  </div>
</template>

<script>
import Header from "./HeaderComponent/Header";
import Content from "./Content";
import Footer from "./Footer";
import timeMixin from "./../Mixins/timeMixins";

export default {
  components: {
    "app-header": Header,
    "app-content": Content,
    "app-footer": Footer
  },
  data() {
    return {
      appTitle: "Translator",
      renderingStatus: "Completed"
    };
  },
  methods: {
    changeStatusValue(status) {
      console.log(status);
      this.renderingStatus = status;
    }
  },
  mixins: [timeMixin]
};
</script>

<style>
#translator-app-container-div {
  display: flex;
  flex-direction: column;
  box-sizing: border-box;
}
</style>